package com.ruixuan.jinniu.service;


import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.utils.Result;
import com.ruixuan.jinniu.entity.KuaishouAccount;

import java.util.List;

/**
 * 账户Service接口
 *
 * @author ruoyi
 * @date 2023-03-15
 */
public interface IKuaishouAccountService {

    List<JSONObject> selectUnboundAccountList(Long accountId, Long ksId, String accountName, Long status);

    /**
     * 查询账户
     *
     * @param id 账户主键
     * @return 账户
     */
    public KuaishouAccount selectKuaishouAccountById(Long id);

    /**
     * 查询账户列表
     *
     * @param kuaishouAccount 账户
     * @return 账户集合
     */
    public List<KuaishouAccount> selectKuaishouAccountList(KuaishouAccount kuaishouAccount);

    List<KuaishouAccount> getAccountByProjectId(Long projectId);

    /**
     * 新增账户
     *
     * @param kuaishouAccount 账户
     * @return 结果
     */
    public int insertKuaishouAccount(JSONObject o);

    /**
     * 修改账户
     *
     * @param kuaishouAccount 账户
     * @return 结果
     */
    public int updateKuaishouAccount(KuaishouAccount kuaishouAccount);

    /**
     * 删除账户信息
     *
     * @param id 账户主键
     * @return 结果
     */
    public int deleteKuaishouAccountById(Long id);

    Result<Object> deleteClaimAccount(Long accountId, Long userId);

    Result<Object> edit(KuaishouAccount kuaishouAccount);

    List<JSONObject> getAccountNameByProjectId(Long projectId);

    int deleteKuaishouAccountByProjectId(Long id);
}